AIExport ai;
boolean operationComplete = false;
boolean savedFile = false;
PImage scan;
int col;
int i = 0;
void setup(){
  size(64*10,64*10,P3D);
  scan = loadImage("delta.gif");
  ai = new AIExport( this, 1 );
  ai.toggleContinuousRecording();
  ai.turnTransparencyOff();
  ai.setLineWeight( 0.25 );
  ai.ai_stroke( 0,0,0 );
  scan.loadPixels();
  noFill();
  background(255);
}

void draw(){
  ai.run();
  if(!operationComplete){
    col = scan.pixels[i];
    ai.ai_stroke(red(col),green(col),blue(col),255);
    if(col != #FFFFFF){
      for(int j = 0; j < scan.pixels.length; j++){
        //println((i % scan.width)+","+(i / scan.width)+","+(j % scan.width)+","+(j / scan.width));
        if(bline(i % scan.width, i / scan.width, j % scan.width, j / scan.width, col, scan) == 0)
          ai.ai_line((i % scan.width)*10, (i / scan.width)*10, (j % scan.width)*10, (j / scan.width)*10);
      }
      }else{
      stroke(0);
      }
    ai.ai_rect((i % scan.width)*10, (i / scan.width)*10, 10, 10);
    if (i == scan.pixels.length - 1) operationComplete = true;
    else i++;
  }
  if (operationComplete && !savedFile){
    ai.toggleContinuousRecording();
    savedFile = true;
  }
}
